## mmc-utils 0+git20170901.37c86e60

=== Makefile ===
CC ?= gcc
AM_CFLAGS = -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2
CFLAGS ?= -g -O2
objects = \
	mmc.o \
	mmc_cmds.o \
	lsmmc.o \
	3rdparty/hmac_sha/hmac_sha2.o \
	3rdparty/hmac_sha/sha2.o

CHECKFLAGS = -Wall -Werror -Wuninitialized -Wundef

DEPFLAGS = -Wp,-MMD,$(@D)/.$(@F).d,-MT,$@

override CFLAGS := $(CHECKFLAGS) $(AM_CFLAGS) $(CFLAGS)

INSTALL = install
prefix ?= /usr/local
bindir = $(prefix)/bin
LIBS=
RESTORE_LIBS=

progs = mmc

# make C=1 to enable sparse
ifdef C
	check = sparse $(CHECKFLAGS)
endif

all: $(progs) manpages

.c.o:
ifdef C
	$(check) $<
endif
	$(CC) $(CPPFLAGS) $(CFLAGS) $(DEPFLAGS) -c $< -o $@

mmc: $(objects)
	$(CC) $(CFLAGS) -o $@ $(objects) $(LDFLAGS) $(LIBS)

manpages:
	$(MAKE) -C man

install-man:
	$(MAKE) -C man install

clean:
	rm -f $(progs) $(objects)
	$(MAKE) -C man clean

install: $(progs) install-man
	$(INSTALL) -m755 -d $(DESTDIR)$(bindir)
	$(INSTALL) $(progs) $(DESTDIR)$(bindir)

.PHONY: all clean install manpages install-man

## mmc-utils 0~gita3d3331

=== debian/changelog ===
mmc-utils (0~gita3d3331-3) unstable; urgency=medium

  * Update patches/fix_build_ppc64el.patch.
    Updated to the correct patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 17 Sep 2016 17:46:33 +0900

mmc-utils (0~gita3d3331-2) unstable; urgency=medium

  * Fix build on ppc64*, alpha and mipsel64. (Closes: #834787)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 23 Aug 2016 03:23:23 +0900

mmc-utils (0~gita3d3331-1) unstable; urgency=low

  * Initial release. (Closes: #833633)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 05 Aug 2016 00:23:56 +0900

=== debian/control ===
Source: mmc-utils
Section: utils
Priority: optional
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.8
Homepage: http://git.kernel.org/cgit/linux/kernel/git/cjb/mmc-utils.git
Vcs-Git: git://anonscm.debian.org/collab-maint/mmc-utils.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mmc-utils.git;a=summary

Package: mmc-utils
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Userspace tools for MMC/SD devices
 mmc-utils is a tool that supports the MMC device development of linux kernel.
 .
 The mmc-utils tools can do the following:
  - Print and parse extcsd data.
  - Determine the eMMC writeprotect status.
  - Set the eMMC writeprotect status.
  - Set the eMMC data sector size to 4KB by disabling emulation.
  - Create general purpose partition.
  - Enable the enhanced user area.
  - Enable write reliability per partition.
  - Print the response to STATUS_SEND (CMD13).
  - Enable the boot partition.
  - Set Boot Bus Conditions.
  - Enable the eMMC BKOPS feature.
  - Permanently enable the eMMC H/W Reset feature.
  - Permanently disable the eMMC H/W Reset feature.
  - Send Sanitize command.
  - Program authentication key for the device.
  - Counter value for the rpmb device will be read to stdout.
  - Read from rpmb device to output.
  - Write to rpmb device from data file.
  - Enable the eMMC cache feature.
  - Disable the eMMC cache feature.
  - Print and parse CID data.
  - Print and parse CSD data.
  - Print and parse SCR data.

## mmc-utils 0%2Bgit20170901.37c86e60

=== debian/changelog ===
mmc-utils (0+git20170901.37c86e60-1) unstable; urgency=medium

  * Snapshot, taken from the master (20170901).
  * Update supporting version of debhelper to 10.
  * Update Standards-Version to 4.1.0.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 01 Sep 2017 15:27:48 +0900

## mmc-utils 0%2Bgit20220624.d7b343fd

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: utils
 Priority: optional
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.8
-Homepage: http://git.kernel.org/cgit/linux/kernel/git/cjb/mmc-utils.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/mmc-utils.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mmc-utils.git;a=summary
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Homepage: https://git.kernel.org/pub/scm/utils/mmc/mmc-utils.git
+Vcs-Browser: https://salsa.debian.org/debian/mmc-utils
+Vcs-Git: https://salsa.debian.org/debian/mmc-utils.git
 
 Package: mmc-utils
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Userspace tools for MMC/SD devices
- mmc-utils is a tool that supports the MMC device development of linux kernel.
+ mmc-utils is a tool that supports the MMC device development of Linux kernel.
  .
  The mmc-utils tools can do the following:
   - Print and parse extcsd data.

## mmc-utils 0%2Bgit20240329.f757f413

=== debian/changelog ===
mmc-utils (0+git20240329.f757f413-1ubuntu1) plucky; urgency=medium

  * Fix various compiler nitpicks resulting in an FTBFS.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 08 Mar 2025 12:27:29 -0600

mmc-utils (0+git20240329.f757f413-1) unstable; urgency=medium

  * Snapshot, taken from the master (20240329) (Closes: #1030829)
  * d/control
    - Bumped Standards-Version to 4.7.0
  * d/manpages
    - Remove file
  * d/patches
    - Add 0003-create-a-directory-to-install-man.patch
  * d/patches
    - Remove 0002-man-mmc.1-Fix-warning-macro-not-defined.patch
  * d/copyright
    - Update copyright year
  * d/rules
    - Define files to be deleted with dh_auto_clean target in d/clean
  * d/clean
    - Add remove files (Closes: #1048836)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 10 Apr 2024 18:56:10 +0900

mmc-utils (0+git20220624.d7b343fd-1) unstable; urgency=medium

  * Snapshot, taken from the master (20220624).
  * Update d/control
    - Dumped Standards-Version to 4.6.1.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 04 Aug 2022 15:07:11 +0900

mmc-utils (0+git20191004.73d6c59-2) unstable; urgency=medium

  * d/control
    - Update upstream URL. (Closes: #997966)
      Thanks to Andy Isaacson <adi@hexapodia.org>.
  * d/copyright
    - Update to 2022.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 05 Jan 2022 12:28:25 +0900

mmc-utils (0+git20191004.73d6c59-1) unstable; urgency=medium

  * Snapshot, taken from the master (20191004).
  * d/gbp.conf
    - Set debian-branch to debian/sid for DEP-14 conformance.
  * d/control
    - Bump debhelper compatibility level to 13.
    - Bump Standards-Version to 4.5.1 (no change).
    - Rules does not require root.
    - Fix typo in pakcage description.
    - Fix upstream URL.
  * d/patches:
    - Remove unnecessary patch.
    - Add 0001-Fix-typo.patch.
    - Add 0002-man-mmc.1-Fix-warning-macro-not-defined.patch.
  * d/copyright
    - Update License and Copyright.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 20 Sep 2021 17:26:42 +0900

mmc-utils (0+git20180327.b4fe0c8c-1) unstable; urgency=medium

  * Snapshot, taken from the master (20180327).
  * Remove debian/patches/fix_build_ppc64el.patch.
    By changing Upstream, patch is no longer needed.
  * Fix build with gcc-8. (Closes: #897811)
    Add patches/lsmmc-replace-strncpy-with-memmove-on-overlapping.patch.
  * Get rid of lintian 'space-in-std-shortname-in-dep5-copyright'.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 20 Jul 2018 11:32:40 +0900

mmc-utils (0+git20180122.7bcad171-1) unstable; urgency=medium

  * Snapshot, taken from the master (20180313).
  * Update supporting version of debhelper to 11.
  * Update Standards-Version to 4.1.3.
  * Update Vcs-Browser and Vcs-Git to use salsa.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 13 Mar 2018 14:16:08 +0900

## mmc-utils 0+git20170901.37c86e60

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,17 @@
 Section: utils
 Priority: optional
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
-Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
-Rules-Requires-Root: no
-Homepage: https://git.kernel.org/pub/scm/utils/mmc/mmc-utils.git
-Vcs-Browser: https://salsa.debian.org/debian/mmc-utils
-Vcs-Git: https://salsa.debian.org/debian/mmc-utils.git
+Build-Depends: debhelper (>= 10)
+Standards-Version: 4.1.0
+Homepage: http://git.kernel.org/cgit/linux/kernel/git/cjb/mmc-utils.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/mmc-utils.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mmc-utils.git;a=summary
 
 Package: mmc-utils
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Userspace tools for MMC/SD devices
- mmc-utils is a tool that supports the MMC device development of Linux kernel.
+ mmc-utils is a tool that supports the MMC device development of linux kernel.
  .
  The mmc-utils tools can do the following:
   - Print and parse extcsd data.

## mmc-utils 0+git20180327.b4fe0c8c

=== Makefile ===
--- 
+++ 
@@ -52,4 +52,6 @@
 	$(INSTALL) -m755 -d $(DESTDIR)$(bindir)
 	$(INSTALL) $(progs) $(DESTDIR)$(bindir)
 
+-include $(foreach obj,$(objects), $(dir $(obj))/.$(notdir $(obj)).d)
+
 .PHONY: all clean install manpages install-man

=== man/Makefile ===
all: 
clean: 
install:

.PHONY: all clean install

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.0
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.1.3
 Homepage: http://git.kernel.org/cgit/linux/kernel/git/cjb/mmc-utils.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/mmc-utils.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mmc-utils.git;a=summary
+Vcs-Browser: https://salsa.debian.org/debian/mmc-utils
+Vcs-Git: https://salsa.debian.org/debian/mmc-utils.git
 
 Package: mmc-utils
 Architecture: linux-any

## mmc-utils 0+git20191004.73d6c59

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.3
-Homepage: http://git.kernel.org/cgit/linux/kernel/git/cjb/mmc-utils.git
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Homepage: https://git.kernel.org/pub/scm/utils/mmc/mmc-utils.git
 Vcs-Browser: https://salsa.debian.org/debian/mmc-utils
 Vcs-Git: https://salsa.debian.org/debian/mmc-utils.git
 
@@ -12,7 +13,7 @@
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Userspace tools for MMC/SD devices
- mmc-utils is a tool that supports the MMC device development of linux kernel.
+ mmc-utils is a tool that supports the MMC device development of Linux kernel.
  .
  The mmc-utils tools can do the following:
   - Print and parse extcsd data.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=/usr


override_dh_auto_clean:
	dh_auto_clean
	rm -rf  .mmc.o.d .mmc_cmds.o.d

## mmc-utils 0+git20220624.d7b343fd

=== debian/changelog ===
mmc-utils (0+git20220624.d7b343fd-1ubuntu1) lunar; urgency=medium

  * d/p/0003-fix-warning-on-uninitialized-cnt.patch: Cherry-pick upstream
    patch to fix FTBFS on ppc64el (LP: #2006505).

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Tue, 07 Feb 2023 15:14:31 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: mmc-utils
 Section: utils
 Priority: optional
-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://git.kernel.org/pub/scm/utils/mmc/mmc-utils.git
 Vcs-Browser: https://salsa.debian.org/debian/mmc-utils

## mmc-utils 0+git20240329.f757f413

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 CC ?= gcc
-AM_CFLAGS = -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2
+GIT_VERSION := "$(shell git describe --abbrev=6 --always --tags)"
+AM_CFLAGS = -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2 \
+	    -DVERSION=\"$(GIT_VERSION)\"
 CFLAGS ?= -g -O2
 objects = \
 	mmc.o \
@@ -19,6 +21,7 @@
 bindir = $(prefix)/bin
 LIBS=
 RESTORE_LIBS=
+mandir = /usr/share/man
 
 progs = mmc
 
@@ -27,7 +30,7 @@
 	check = sparse $(CHECKFLAGS)
 endif
 
-all: $(progs) manpages
+all: $(progs)
 
 .c.o:
 ifdef C
@@ -41,16 +44,14 @@
 manpages:
 	$(MAKE) -C man
 
-install-man:
-	$(MAKE) -C man install
-
 clean:
 	rm -f $(progs) $(objects)
 	$(MAKE) -C man clean
 
-install: $(progs) install-man
+install: $(progs)
 	$(INSTALL) -m755 -d $(DESTDIR)$(bindir)
 	$(INSTALL) $(progs) $(DESTDIR)$(bindir)
+	$(INSTALL) -m 644 mmc.1 $(DESTDIR)$(mandir)/man1
 
 -include $(foreach obj,$(objects), $(dir $(obj))/.$(notdir $(obj)).d)

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: mmc-utils
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://git.kernel.org/pub/scm/utils/mmc/mmc-utils.git
 Vcs-Browser: https://salsa.debian.org/debian/mmc-utils

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,3 @@
 
 override_dh_auto_install:
 	dh_auto_install -- prefix=/usr
-
-
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -rf  .mmc.o.d .mmc_cmds.o.d

## mmc-utils 1.0

=== Makefile ===
--- 
+++ 
@@ -25,15 +25,16 @@
 
 progs = mmc
 
-# make C=1 to enable sparse
-ifdef C
-	check = sparse $(CHECKFLAGS)
+# make C=1 to enable sparse - default
+C ?= 1
+ifeq "$(C)" "1"
+	check = sparse $(CHECKFLAGS) $(AM_CFLAGS)
 endif
 
 all: $(progs)
 
 .c.o:
-ifdef C
+ifeq "$(C)" "1"
 	$(check) $<
 endif
 	$(CC) $(CPPFLAGS) $(CFLAGS) $(DEPFLAGS) -c $< -o $@
@@ -47,12 +48,18 @@
 clean:
 	rm -f $(progs) $(objects)
 	$(MAKE) -C man clean
+	$(MAKE) -C docs clean
 
 install: $(progs)
 	$(INSTALL) -m755 -d $(DESTDIR)$(bindir)
 	$(INSTALL) $(progs) $(DESTDIR)$(bindir)
+	$(INSTALL) -m755 -d $(DESTDIR)$(mandir)/man1
 	$(INSTALL) -m 644 mmc.1 $(DESTDIR)$(mandir)/man1
 
 -include $(foreach obj,$(objects), $(dir $(obj))/.$(notdir $(obj)).d)
 
 .PHONY: all clean install manpages install-man
+
+# Add this new target for building HTML documentation using docs/Makefile
+html-docs:
+	$(MAKE) -C docs html

=== docs/requirements.txt ===
sphinx==4.3.2
jinja2>=2.11

=== debian/changelog ===
mmc-utils (1.0-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2132140).
    Remaining changes:
    - d/rules: undefine _FORTIFY_SOURCE as its already set to the highest
      value that builds by the upstream code
    Dropped changes:
    - Fix various compiler nitpicks resulting in an FTBFS.
    The former delta was mostly a result of building with _FORTIFY_SOURCE=3.
    That didn't really worked, was broken, and wasn't applicable anymore with
    the new version. Instead, the package is now back to building with
    _FORTIFY_SOURCE=2, with a one-line delta in d/rules.

 -- Florent 'Skia' Jacquet <skia@ubuntu.com>  Fri, 21 Nov 2025 18:36:13 +0100

mmc-utils (1.0-1) unstable; urgency=medium

  * Update to v1.0.
  * d/patches
    - Drop 0003-create-a-directory-to-install-man.patch
    - Update 0001-Fix-typo.patch
    - Add Change-GIT_VERSION-variable-to-be-mutable.patch
    - Add Ignore-clean-target-of-doc.patch
    - Rename from 0001-Fix-typo.patch to Fix-typo.patch
  * d/rules: Include pkg-info.mk to use DEB_VERSION_UPSTREAM.
  * d/copyright: Update copyright year.
  * d/control: Dumped Standards-Version to 4.7.2. No changes needed.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 17 Aug 2025 06:44:39 +0900

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: mmc-utils
 Section: utils
 Priority: optional
-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://git.kernel.org/pub/scm/utils/mmc/mmc-utils.git
 Vcs-Browser: https://salsa.debian.org/debian/mmc-utils

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_CPPFLAGS_MAINT_APPEND=-U_FORTIFY_SOURCE
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_build:
	C=0 GIT_VERSION=$(DEB_VERSION_UPSTREAM) $(MAKE)

override_dh_auto_install:
	dh_auto_install -- prefix=/usr
